/*
 * Copyright (c) 2004-2017, by Alex Leigh.
 * All rights reserved.
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 */

package leigh.eo.schema.dao;

import leigh.eo.EO;

/**
 * Utility class for interacting with Fixed Choice elements.
 *
 * @author Alex Leigh
 */
public final class FixedChoiceUtil {
    public static EO create(final String value, final String label) {
        final EO eo = FixedChoiceElementDAO.create();
        FixedChoiceElementDAO.setValue(eo, value);
        FieldElementDAO.appendLabel(eo, TextUtil.defaultLabel(label));
        return eo;
    }
}
